/* === FUNCTIONS PROTOTYPE ==== */
int  ox800_init (int, int);
int  ox800_setup (int, char *);
int  ox800_display (int, int);
int  ox800_channel (int, int, int, int);
int  ox800_timebase (int, int, int);
int  ox800_trigger (int, int, int, int, int);
int  ox800_close (void);

/* === CONSTANTS DECLARATION ==== */
#define OX800_RANGE_CH1         0x60
#define OX800_RANGE_CH2         0x61
#define OX800_RANGE_TIME_BASE   0x62
#define OX800_VERTICAL_MODE     0x63
#define OX800_TB_DELAY          0x64
#define OX800_TRIGGER_SOURCE    0x65
#define OX800_TRIGGER_COUPLING  0x66
#define OX800_COUPLING_CH1      0x67
#define OX800_COUPLING_CH2      0x68
#define OX800_INVERT_CH2        0x69
#define OX800_TRIGGER_PTP       0x6a
#define OX800_EXP10             0x6b
#define OX800_TRIGGER_SLOPE     0x6c
#define OX800_TRIGGER_AUTO      0x6d
#define OX800_BEAM_FINDER       0x6e
#define OX800_READ_SETUP        0x6f
#define OX800_REMOTE            0x71
#define OX800_ASK_ECHO          0x7b
#define OX800_51                0
#define OX800_52                1

